Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.controls
Class JetEnumeration

    java.lang.Object
      jet.controls.JetProperty
          jet.controls.JetEnumeration

    public class JetEnumeration

extends JetProperty

A class for property enumeration.

Field Summary

Fields inherited from class jet.controls.JetProperty
`CHART_BACKGROUND_EDITOR, CHART_FILLPATTERN_EDITOR, CHART_FILTER_EDITOR, CHART_FILTER_EDITOR_NO_DATE, CHART_ICON_STYLE, CHART_PATTERN_LIST_EDITOR, CHART_PENSTYLE_EDITOR, CHART_TEXTSTYLE_EDITOR, CHOICE_EDITOR, COLOR_EDITOR, COMBO_EDITOR, COMMAND_EDITOR, CONTROL_SELECT_ITEMS, DATASOURCE_EDITOR, DBCOL_EDITOR, DETAIL_REPORT_EDITOR, EDIT_FORBIDDEN, EDIT_FORBIDDEN_INIT, EDITABLE_ALLTIME, INTERNAL, LINK_EDITOR, MULSEL_EDITOR, PARAMCOL_EDITOR, QUERY_EDITOR, RECORDDB_EDITOR, SECURITY_EDITOR, TEXT_EDITOR`

Constructor Summary
`JetEnumeration()`
`JetEnumeration(JetObject parent, java.lang.String name)`
`JetEnumeration(JetObject parent, java.lang.String name, int enumType)`

Method Summary
`java.lang.Object` | `add(java.lang.String key, java.lang.Object value)`
`java.lang.Object` | `get()`
`java.lang.String` | `getCurKey()`
`java.util.Hashtable` | `getEnumerationSet()`
`int` | `getEnumerationType()`
`java.lang.String` | `getKeyByValue(int value)` get enumeration key by value .
`int[]` | `getMatchingSqlType()` Get Matching SQL Type of this property
`java.lang.Object` | `getObject()` Get the property value.
`java.util.Vector` | `getPropertyChoice()`
`int` | `getValue(java.lang.Object key)`
`int` | `intValue()`
`java.lang.Object` | `remove(java.lang.String key)`
`void` | `removeAll()`
`void` | `set(java.lang.Object obj)`
`void` | `set(java.lang.String key)` Sets the value to this property via a String.
`void` | `setEnumerationSet(java.util.Hashtable enumerationSet)`
`void` | `setValue(java.lang.Object obj)`
`void` | `setValue(java.lang.String key)`
`java.lang.String` | `toString()`

Methods inherited from class jet.controls.JetProperty
`canChangeByBL, canChangeByFmtt, canChangeByOthers, getChangeBy, getChangeByBL, getChangeByBLName, getChangeByFmtt, getChangeByFmttName, getChangeByObject, getChangeByObjectName, getEditFlag, getEditorType, getInspValue, getInspValue, getName, getNormalObject, getParent, getPropType, getUnifiedObject, getValue, isChagneByFmtt, isChangeByBL, isChangeByOther, isNull, isTransient, loadFullChangeBy, propertyChanged, saveFullChangeBy, setCanChangeByBL, setCanChangeByFmtt, setCanChangeByOthers, setChangeByBL, setChangeByFmtt, setChangeByObject, setEditFlag, setEditorType, setObject, setTransient, setUnitValue, toUnitString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JetEnumeration

    public JetEnumeration()

### JetEnumeration

    public JetEnumeration(JetObject parent,
                          java.lang.String name)

### JetEnumeration

    public JetEnumeration(JetObject parent,
                          java.lang.String name,
                          int enumType)

Method Detail

### add

    public java.lang.Object add(java.lang.String key,
                                java.lang.Object value)

### remove

    public java.lang.Object remove(java.lang.String key)

### set

    public void set(java.lang.Object obj)

### set

    public void set(java.lang.String key)

  Description copied from class: `JetProperty`
  Sets the value to this property via a String.

  Overrides:
    `set` in class `JetProperty`
  Parameters:
    `key` - the String val

### setValue

    public void setValue(java.lang.Object obj)

### setValue

    public void setValue(java.lang.String key)

### get

    public java.lang.Object get()

### getCurKey

    public java.lang.String getCurKey()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### intValue

    public int intValue()

### removeAll

    public void removeAll()

### getValue

    public int getValue(java.lang.Object key)

### getKeyByValue

    public java.lang.String getKeyByValue(int value)

  get enumeration key by value .

  Parameters:
    `value` - the value of enumeration .
  Returns:
    key the key that mapping this input value . if the value is out of range of enumeration , return null .

### getPropertyChoice

    public java.util.Vector getPropertyChoice()

  Overrides:
    `getPropertyChoice` in class `JetProperty`

### getObject

    public java.lang.Object getObject()

  Description copied from class: `JetProperty`
  Get the property value. If the property is change by other object, return the other object.

  Overrides:
    `getObject` in class `JetProperty`

### getEnumerationSet

    public java.util.Hashtable getEnumerationSet()

### setEnumerationSet

    public void setEnumerationSet(java.util.Hashtable enumerationSet)

### getEnumerationType

    public int getEnumerationType()

### getMatchingSqlType

    public int[] getMatchingSqlType()

  Description copied from class: `JetProperty`
  Get Matching SQL Type of this property

  Overrides:
    `getMatchingSqlType` in class `JetProperty`
  Returns:
    SQL_OTHER means can not changed by other object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD